PHP Handbuch
Zurück | Kapitel 7. Typen | Nach vorne

# NULL

Der spezielle `NULL` Wert steht dafür, dass eine Varaiable keinen Wert hat. `NULL` ist der einzig mögliche Wert des Typs NULL.

> Anmerkung: Der Null-Typ wurde in PHP 4 eingeführt.

Eine Variable wird als `NULL` interpretiert, wenn

- ihr die Konstannte `NULL` als Wert zugewiesen wurde.

- ihr bis jetzt kein Wert zugewiesen wurde.

- sie mit unset() gelöscht wurde.

## Syntax

Es gibt nur einen Wert des Typs `NULL`, das Schlüsselwort `NULL`. Groß-/Kleinschreibung spielt keine Rolle.

    $var = NULL;

Siehe auch is_null() und unset().

Zurück | Zum Anfang | Nach vorne
Resource | Nach oben | Typen-Tricks